﻿Type=Class
Version=2.2
B4J=true
@EndOfDesignText@
'WebSocket class
Sub Class_Globals
	Private ws As WebSocket
	Private timer1 As Timer
	'----------
	Public SQL1 As SQL	
	Dim columns As Map
	Dim Cursor As ResultSet
	Dim ListOfMaps As List 
End Sub

Public Sub Initialize
	
End Sub

Private Sub WebSocket_Connected (WebSocket1 As WebSocket)
	ws = WebSocket1
	timer1.Initialize("timer1", 1000)
	timer1.Enabled = True
End Sub

Sub Timer1_Tick
	ws.RunFunction("ServerTime", Array As Object(DateTime.Time(DateTime.Now)))
	ws.Flush
End Sub

Sub Device_Message(Params As Map)
	SQL1.InitializeSQLite(File.DirApp, "dbtest.db", True)
	ListOfMaps.Initialize
	columns.Initialize
	
	columns.Put("ID",Params.Get("ID"))
	columns.Put("Lon",Params.Get("Lon"))
	columns.Put("Lat",Params.Get("Lat"))
	columns.Put("Date",Params.Get("Date"))
	Log("Device test: " & Params.Get("ID"))
	ListOfMaps.Add(columns)
	DBUtils.InsertMaps(SQL1, "GPSDaten", ListOfMaps)						
'----------------------------------------------

End Sub

Private Sub WebSocket_Disconnected
	timer1.Enabled = False
	Log("disconnected")
End Sub

